noinst_LTLIBRARIES = libortp.la

noinst_HEADERS = \
    export.h jitterctl.h ortp-config.h ortp.h payloadtype.h \
    port_fct.h rtcp.h rtp.h rtpmod.h rtpport.h rtpsession.h \
    rtpsignaltable.h rtptimer.h scheduler.h sessionset.h \
    str_utils.h telephonyevents.h utils.h

libortp_la_SOURCES= \
    port_fct.c rtpmod.c rtpparse.c rtpsession.c jitterctl.c \
    rtpsignaltable.c rtptimer.c posixtimer.c ortp.c scheduler.c \
    avprofile.c sessionset.c telephonyevents.c payloadtype.c rtcp.c \
    utils.c rtcpparse.c str_utils.c

libortp_la_LIBADD= $(GLIB_LIBS)

AM_CFLAGS=-D_ORTP_SOURCE -DG_LOG_DOMAIN=\"oRTP\" $(GLIB_CFLAGS)
CFLAGS+=-std=gnu89
